<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFChart (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFChart (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":42,"i2":42,"i3":42,"i4":42,"i5":42,"i6":42,"i7":10,"i8":10,"i9":10,"i10":10,"i11":42,"i12":42,"i13":10,"i14":10,"i15":42,"i16":10,"i17":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"],32:["t6","Deprecated Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFChart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChartSheet.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFChart.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFChart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChart">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFChart" class="title">Class XSSFChart</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                       title="class in org.apache.poi.ooxml">org.apache.poi.ooxml.POIXMLDocumentPart</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                               title="class in org.apache.poi.xddf.usermodel.chart">org.apache.poi.xddf.usermodel.chart.XDDFChart</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li>org.apache.poi.xssf.usermodel.XSSFChart</li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                           title="interface in org.apache.poi.ss.usermodel">Chart</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                            title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
                            title="interface in org.apache.poi.ss.usermodel.charts">ManuallyPositionable</a>, <a
                            href="../../../../../org/apache/poi/xddf/usermodel/text/TextContainer.html"
                            title="interface in org.apache.poi.xddf.usermodel.text">TextContainer</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">XSSFChart</span>
extends <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
           title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a>
implements <a href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
              title="interface in org.apache.poi.ss.usermodel">Chart</a>, <a
                            href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                            title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a></pre>
                <div class="block">Represents a SpreadsheetML Chart</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Nested classes/interfaces inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.RelationPart.html"
                                         title="class in org.apache.poi.ooxml">POIXMLDocumentPart.RelationPart</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChart">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.xddf.usermodel.chart.<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></h3>
                                <code><a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#axes">axes</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#chart">chart</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#chartSpace">chartSpace</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier</th>
                                <th class="colLast" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#XSSFChart--">XSSFChart</a></span>()</code>
                                    <div class="block">Create a new SpreadsheetML chart</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>protected </code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#XSSFChart-org.apache.poi.openxml4j.opc.PackagePart-">XSSFChart</a></span>(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)</code>
                                    <div class="block">Construct a SpreadsheetML chart from a package part.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t6" class="tableTab"><span><a
                                    href="javascript:show(32);">Deprecated Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#commit--">commit</a></span>()</code>
                                    <div class="block">save chart xml</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFCategoryAxis.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFCategoryAxis</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#createCategoryAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">createCategoryAxis</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;pos)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFDateAxis.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFDateAxis</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#createDateAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">createDateAxis</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;pos)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFValueAxis.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFValueAxis</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#createValueAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">createValueAxis</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                        title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;pos)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;? extends <a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartAxis.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartAxis</a>&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getAxis--">getAxis</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;
                                        <div class="block"><span class="deprecationComment">use <a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getAxes--"><code>XDDFChart.getAxes()</code></a> instead</span>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFChart</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartAxisFactory--">getChartAxisFactory</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartDataFactory.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartDataFactory</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartDataFactory--">getChartDataFactory</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                        title="class in org.apache.poi.ooxml">POIXMLFactory</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartFactory--">getChartFactory</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartRelation--">getChartRelation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                        title="class in org.apache.poi.ooxml">POIXMLRelation</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getGraphicFrame--">getGraphicFrame</a></span>()</code>
                                    <div class="block">Returns the parent graphic frame.</div>
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFManualLayout.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFManualLayout</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getManualLayout--">getManualLayout</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartLegend.html"
                                        title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartLegend</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getOrCreateLegend--">getOrCreateLegend</a></span>()</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getTitleFormula--">getTitleFormula</a></span>()</code>
                                    <div class="block">Get the chart title formula expression if there is one</div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a></code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#getTitleText--">getTitleText</a></span>()</code>
                                    <div class="block">Returns the title static text, or null if none is set.</div>
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#plot-org.apache.poi.ss.usermodel.charts.ChartData-org.apache.poi.ss.usermodel.charts.ChartAxis...-">plot</a></span>(<a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ChartData.html"
                                        title="interface in org.apache.poi.ss.usermodel.charts">ChartData</a>&nbsp;data,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                       title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>...&nbsp;chartAxis)</code>
                                    <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#setGraphicFrame-org.apache.poi.xssf.usermodel.XSSFGraphicFrame-">setGraphicFrame</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a>&nbsp;frame)</code>
                                    <div class="block">Sets the parent graphic frame.</div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html#setTitleFormula-java.lang.String-">setTitleFormula</a></span>(java.lang.String&nbsp;formula)</code>
                                    <div class="block">Set the formula expression to use for the chart title</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.xddf.usermodel.chart.<a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                        title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createCategoryAxis-org.apache.poi.xddf.usermodel.chart.AxisPosition-">createCategoryAxis</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createData-org.apache.poi.xddf.usermodel.chart.ChartTypes-org.apache.poi.xddf.usermodel.chart.XDDFChartAxis-org.apache.poi.xddf.usermodel.chart.XDDFValueAxis-">createData</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createDateAxis-org.apache.poi.xddf.usermodel.chart.AxisPosition-">createDateAxis</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createRelationshipInChart-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationshipInChart</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#createValueAxis-org.apache.poi.xddf.usermodel.chart.AxisPosition-">createValueAxis</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#deleteLegend--">deleteLegend</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#deleteShapeProperties--">deleteShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#displayBlanksAs-org.apache.poi.xddf.usermodel.chart.DisplayBlanks-">displayBlanksAs</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#fillSheet-org.apache.poi.xssf.usermodel.XSSFSheet-org.apache.poi.xddf.usermodel.chart.XDDFDataSource-org.apache.poi.xddf.usermodel.chart.XDDFNumericalDataSource-">fillSheet</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#findDefinedParagraphProperty-java.util.function.Function-java.util.function.Function-">findDefinedParagraphProperty</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#findDefinedRunProperty-java.util.function.Function-java.util.function.Function-">findDefinedRunProperty</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#formatRange-org.apache.poi.ss.util.CellRangeAddress-">formatRange</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getAxes--">getAxes</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartIndex--">getChartIndex</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartSeries--">getChartSeries</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getCTChart--">getCTChart</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getCTChartSpace--">getCTChartSpace</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getCTPlotArea--">getCTPlotArea</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getFormattedTitle--">getFormattedTitle</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getOrAddLegend--">getOrAddLegend</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getOrAddManualLayout--">getOrAddManualLayout</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getOrAddShapeProperties--">getOrAddShapeProperties</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getTitle--">getTitle</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getTitleOverlay--">getTitleOverlay</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getWorkbook--">getWorkbook</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#importContent-org.apache.poi.xddf.usermodel.chart.XDDFChart-">importContent</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#isPlotOnlyVisibleCells--">isPlotOnlyVisibleCells</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#plot-org.apache.poi.xddf.usermodel.chart.XDDFChartData-">plot</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#saveWorkbook-org.apache.poi.xssf.usermodel.XSSFWorkbook-">saveWorkbook</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setAutoTitleDeleted-boolean-">setAutoTitleDeleted</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setBackWall-int-">setBackWall</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setChartIndex-int-">setChartIndex</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setExternalId-java.lang.String-">setExternalId</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setFloor-int-">setFloor</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setPlotOnlyVisibleCells-boolean-">setPlotOnlyVisibleCells</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setSheetTitle-java.lang.String-int-">setSheetTitle</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setSideWall-int-">setSideWall</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setTitleOverlay-boolean-">setTitleOverlay</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setTitleText-java.lang.String-">setTitleText</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setValueRange-int-java.lang.Double-java.lang.Double-java.lang.Double-java.lang.Double-">setValueRange</a>,
                                    <a href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#setWorkbook-org.apache.poi.xssf.usermodel.XSSFWorkbook-">setWorkbook</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.ooxml.<a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html"
                                        title="class in org.apache.poi.ooxml">POIXMLDocumentPart</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#Z:Z_invokeOnDocumentRead-org.apache.poi.ooxml.POIXMLDocumentPart-">_invokeOnDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#addRelation-java.lang.String-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">addRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#createRelationship-org.apache.poi.ooxml.POIXMLRelation-org.apache.poi.ooxml.POIXMLFactory-int-boolean-">createRelationship</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getNextPartNumber-org.apache.poi.ooxml.POIXMLRelation-int-">getNextPartNumber</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getPackagePart--">getPackagePart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationById-java.lang.String-">getRelationById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationId-org.apache.poi.ooxml.POIXMLDocumentPart-">getRelationId</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationPartById-java.lang.String-">getRelationPartById</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelationParts--">getRelationParts</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getRelations--">getRelations</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#getTargetPart-org.apache.poi.openxml4j.opc.PackageRelationship-">getTargetPart</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#isCommited--">isCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentCreate--">onDocumentCreate</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRead--">onDocumentRead</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onDocumentRemove--">onDocumentRemove</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#onSave-java.util.Set-">onSave</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#prepareForCommit--">prepareForCommit</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#read-org.apache.poi.ooxml.POIXMLFactory-java.util.Map-">read</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#rebase-org.apache.poi.openxml4j.opc.OPCPackage-">rebase</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-org.apache.poi.ooxml.POIXMLDocumentPart-boolean-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#removeRelation-java.lang.String-">removeRelation</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#setCommited-boolean-">setCommited</a>,
                                    <a href="../../../../../org/apache/poi/ooxml/POIXMLDocumentPart.html#toString--">toString</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.ss.usermodel.Chart">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.ss.usermodel.<a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                        title="interface in org.apache.poi.ss.usermodel">Chart</a></h3>
                                <code><a href="../../../../../org/apache/poi/ss/usermodel/Chart.html#deleteLegend--">deleteLegend</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="XSSFChart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>XSSFChart</h4>
                                <pre>protected&nbsp;XSSFChart()</pre>
                                <div class="block">Create a new SpreadsheetML chart</div>
                            </li>
                        </ul>
                        <a name="XSSFChart-org.apache.poi.openxml4j.opc.PackagePart-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>XSSFChart</h4>
                                <pre>protected&nbsp;XSSFChart(<a
                                        href="../../../../../org/apache/poi/openxml4j/opc/PackagePart.html"
                                        title="class in org.apache.poi.openxml4j.opc">PackagePart</a>&nbsp;part)
             throws java.io.IOException,
                    org.apache.xmlbeans.XmlException</pre>
                                <div class="block">Construct a SpreadsheetML chart from a package part.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>part</code> - the package part holding the chart data, the content type
                                        must
                                        be
                                        <code>application/vnd.openxmlformats-officedocument.drawingml.chart+xml</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dd><code>org.apache.xmlbeans.XmlException</code></dd>
                                    <dt><span class="simpleTagLabel">Since:</span></dt>
                                    <dd>POI 3.14-Beta1</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getChartRelation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartRelation</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;getChartRelation()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartRelation--">getChartRelation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chart relation in the implementing subclass.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartWorkbookRelation--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartWorkbookRelation</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLRelation.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLRelation</a>&nbsp;getChartWorkbookRelation()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartWorkbookRelation--">getChartWorkbookRelation</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chart workbook relation in the implementing subclass.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartFactory</h4>
                                <pre>protected&nbsp;<a href="../../../../../org/apache/poi/ooxml/POIXMLFactory.html"
                                                       title="class in org.apache.poi.ooxml">POIXMLFactory</a>&nbsp;getChartFactory()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getChartFactory--">getChartFactory</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the chart factory in the implementing subclass.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="commit--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>commit</h4>
                                <pre>protected&nbsp;void&nbsp;commit()
               throws java.io.IOException</pre>
                                <div class="block"><span
                                        class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#commit--">XDDFChart</a></code></span>
                                </div>
                                <div class="block">save chart xml</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#commit--">commit</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html"
                                                title="class in org.apache.poi.xddf.usermodel.chart">XDDFChart</a></code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - a subclass may throw an IOException if the
                                        changes can't be committed
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getGraphicFrame--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getGraphicFrame</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a>&nbsp;getGraphicFrame()</pre>
                                <div class="block">Returns the parent graphic frame.</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the graphic frame this chart belongs to</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setGraphicFrame-org.apache.poi.xssf.usermodel.XSSFGraphicFrame-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setGraphicFrame</h4>
                                <pre>protected&nbsp;void&nbsp;setGraphicFrame(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFGraphicFrame.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFGraphicFrame</a>&nbsp;frame)</pre>
                                <div class="block">Sets the parent graphic frame.</div>
                            </li>
                        </ul>
                        <a name="getChartDataFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartDataFactory</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartDataFactory.html"
               title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartDataFactory</a>&nbsp;getChartDataFactory()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getChartDataFactory--">getChartDataFactory</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                                title="interface in org.apache.poi.ss.usermodel">Chart</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an appropriate ChartDataFactory implementation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getChartAxisFactory--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChartAxisFactory</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChart.html"
               title="class in org.apache.poi.xssf.usermodel">XSSFChart</a>&nbsp;getChartAxisFactory()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getChartAxisFactory--">getChartAxisFactory</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                                title="interface in org.apache.poi.ss.usermodel">Chart</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>an appropriate ChartAxisFactory implementation</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="plot-org.apache.poi.ss.usermodel.charts.ChartData-org.apache.poi.ss.usermodel.charts.ChartAxis...-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>plot</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;void&nbsp;plot(<a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartData.html"
                              title="interface in org.apache.poi.ss.usermodel.charts">ChartData</a>&nbsp;data,
                                                      <a href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxis.html"
                                                         title="interface in org.apache.poi.ss.usermodel.charts">ChartAxis</a>...&nbsp;chartAxis)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/Chart.html#plot-org.apache.poi.ss.usermodel.charts.ChartData-org.apache.poi.ss.usermodel.charts.ChartAxis...-">Chart</a></code></span>
                                </div>
                                <div class="block">Plots specified data on the chart.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Chart.html#plot-org.apache.poi.ss.usermodel.charts.ChartData-org.apache.poi.ss.usermodel.charts.ChartAxis...-">plot</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                                title="interface in org.apache.poi.ss.usermodel">Chart</a></code></dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>data</code> - a data to plot</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createValueAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createValueAxis</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFValueAxis.html"
               title="class in org.apache.poi.xssf.usermodel.charts">XSSFValueAxis</a>&nbsp;createValueAxis(<a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                            title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;pos)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html#createValueAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">createValueAxis</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                                                title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>new value axis at the end of the list at the specified chart position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createCategoryAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createCategoryAxis</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFCategoryAxis.html"
               title="class in org.apache.poi.xssf.usermodel.charts">XSSFCategoryAxis</a>&nbsp;createCategoryAxis(<a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                            title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;pos)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html#createCategoryAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">createCategoryAxis</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                                                title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>new category axis at the end of the list at the specified chart position</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createDateAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createDateAxis</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFDateAxis.html"
               title="class in org.apache.poi.xssf.usermodel.charts">XSSFDateAxis</a>&nbsp;createDateAxis(<a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/AxisPosition.html"
                                            title="enum in org.apache.poi.ss.usermodel.charts">AxisPosition</a>&nbsp;pos)</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html#createDateAxis-org.apache.poi.ss.usermodel.charts.AxisPosition-">createDateAxis</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/charts/ChartAxisFactory.html"
                                                title="interface in org.apache.poi.ss.usermodel.charts">ChartAxisFactory</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>new date category axis at the end of the list at the specified chart position
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAxis--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAxis</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;java.util.List&lt;? extends <a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartAxis.html"
                                           title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartAxis</a>&gt;&nbsp;getAxis()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;<span
                                        class="deprecationComment">use <a
                                        href="../../../../../org/apache/poi/xddf/usermodel/chart/XDDFChart.html#getAxes--"><code>XDDFChart.getAxes()</code></a> instead</span>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getAxis--">getAxis</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                                title="interface in org.apache.poi.ss.usermodel">Chart</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>list of all chart axis</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getManualLayout--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getManualLayout</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFManualLayout.html"
               title="class in org.apache.poi.xssf.usermodel.charts">XSSFManualLayout</a>&nbsp;getManualLayout()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html#getManualLayout--">ManuallyPositionable</a></code></span>
                                </div>
                                <div class="block">Returns manual layout for the chart element.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html#getManualLayout--">getManualLayout</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/charts/ManuallyPositionable.html"
                                                title="interface in org.apache.poi.ss.usermodel.charts">ManuallyPositionable</a></code>
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>manual layout for the chart element.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTitleText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTitleText</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFRichTextString.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFRichTextString</a>&nbsp;getTitleText()</pre>
                                <div class="block">Returns the title static text, or null if none is set. Note that a
                                    title
                                    formula may be set instead. Empty text result is for backward
                                    compatibility, and could mean the title text is empty or there is a
                                    formula instead. Check for a formula first, falling back on text for
                                    cleaner logic.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>static title text if set, null if there is no title, empty string
                                        if the title text is empty or the title uses a formula instead
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTitleFormula--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTitleFormula</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getTitleFormula()</pre>
                                <div class="block">Get the chart title formula expression if there is one</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>formula expression or null</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTitleFormula-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTitleFormula</h4>
                                <pre>public&nbsp;void&nbsp;setTitleFormula(java.lang.String&nbsp;formula)</pre>
                                <div class="block">Set the formula expression to use for the chart title</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>formula</code> -</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getOrCreateLegend--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getOrCreateLegend</h4>
                                <pre>@Deprecated
 <a href="../../../../../org/apache/poi/util/Removal.html" title="annotation in org.apache.poi.util">@Removal</a>(<a
                                            href="../../../../../org/apache/poi/util/Removal.html#version--">version</a>="4.2")
public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/charts/XSSFChartLegend.html"
               title="class in org.apache.poi.xssf.usermodel.charts">XSSFChartLegend</a>&nbsp;getOrCreateLegend()</pre>
                                <div class="block"><span class="deprecatedLabel">Deprecated.</span>&nbsp;</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/ss/usermodel/Chart.html#getOrCreateLegend--">getOrCreateLegend</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                                title="interface in org.apache.poi.ss.usermodel">Chart</a></code></dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>chart legend instance</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFChart.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFCellStyle.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFChartSheet.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFChart.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFChart.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.classes.inherited.from.class.org.apache.poi.ooxml.POIXMLDocumentPart">Nested</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#fields.inherited.from.class.org.apache.poi.xddf.usermodel.chart.XDDFChart">Field</a>&nbsp;|&nbsp;
            </li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
